TextShape
Date: 2019-10-22

org.jmol.shape

## Class TextShape

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.TextShape

- Direct Known Subclasses:
    Echo, Hover

      public abstract class TextShape
      extends Shape

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.Object` | `currentBgColor`
    `(package private) float` | `currentBgTranslucentLevel`
    `(package private) java.lang.Object` | `currentColor`
    `(package private) Font` | `currentFont`
    `(package private) Text` | `currentObject`
    `(package private) float` | `currentTranslucentLevel`
    `(package private) boolean` | `isAll`
    `(package private) boolean` | `isHover`
    `java.util.Map<java.lang.String,Text>` | `objects`
    `protected java.lang.String` | `thisID`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextShape()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `checkObjectClicked(int x, int y, int modifiers, javajs.util.BS bsVisible, boolean drawPicking)`
    `boolean` | `checkObjectHovered(int x, int y, javajs.util.BS bsVisible)`
    `java.lang.String` | `getShapeState()`
    `protected void` | `initModelSet()`
    `void` | `setModelVisibilityFlags(javajs.util.BS bsModels)`
    `protected void` | `setPropTS(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bsSelected)`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectDragged, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getSizeG, getTranslucentLabel, initializeShape, initShape, replaceGroup, setAtomClickability, setModelSet, setProperty, setPropS, setShapeSizeRD, setSize, setSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objects

          public java.util.Map<java.lang.String,Text> objects

    - #### currentObject

          Text currentObject

    - #### currentFont

          Font currentFont

    - #### currentColor

          java.lang.Object currentColor

    - #### currentBgColor

          java.lang.Object currentBgColor

    - #### currentTranslucentLevel

          float currentTranslucentLevel

    - #### currentBgTranslucentLevel

          float currentBgTranslucentLevel

    - #### thisID

          protected java.lang.String thisID

    - #### isHover

          boolean isHover

    - #### isAll

          boolean isAll

  - ### Constructor Detail

    - #### TextShape

          public TextShape()

  - ### Method Detail

    - #### setPropTS

          protected void setPropTS(java.lang.String propertyName,
                                   java.lang.Object value,
                                   javajs.util.BS bsSelected)

    - #### getShapeState

          public java.lang.String getShapeState()

      Specified by:
        `getShapeState` in class `Shape`

    - #### initModelSet

          protected void initModelSet()

      Overrides:
        `initModelSet` in class `Shape`

    - #### setModelVisibilityFlags

          public void setModelVisibilityFlags(javajs.util.BS bsModels)

      Overrides:
        `setModelVisibilityFlags` in class `Shape`

    - #### checkObjectClicked

          public java.util.Map<java.lang.String,java.lang.Object> checkObjectClicked(int x,
                                                                                     int y,
                                                                                     int modifiers,
                                                                                     javajs.util.BS bsVisible,
                                                                                     boolean drawPicking)

      Overrides:
        `checkObjectClicked` in class `Shape`
        `drawPicking` - TODO
      Returns:
        Hashtable containing information about pt clicked

    - #### checkObjectHovered

          public boolean checkObjectHovered(int x,
                                            int y,
                                            javajs.util.BS bsVisible)

      Overrides:
        `checkObjectHovered` in class `Shape`
      Returns:
        T/F